Subscribe to Zapier Webhook
curl --request POST \
--url https://prod-api.raisedonors.com/api/Zapier/subscribe \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"targetUrl": "<string>",
"eventType": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({targetUrl: '<string>', eventType: '<string>'})
};
fetch('https://prod-api.raisedonors.com/api/Zapier/subscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-api.raisedonors.com/api/Zapier/subscribe"
payload = {
"targetUrl": "<string>",
"eventType": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://prod-api.raisedonors.com/api/Zapier/subscribe");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"targetUrl\": \"<string>\",\n \"eventType\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://prod-api.raisedonors.com/api/Zapier/subscribe';
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({targetUrl: '<string>', eventType: '<string>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 5501
}{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"errors": {
"notificationUrl": [
"A valid HTTPS URL is required."
]
},
"instance": "/api/Zapier/subscribe"
}{
"type": "https://tools.ietf.org/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"detail": "The Authorization header is missing, malformed, or carries a token that is expired or revoked.",
"instance": "/api/Zapier/subscribe"
}Zapier
Subscribe to Zapier Webhook
Registers a targetUrl to receive an eventType, and returns the new subscription’s id.
POST
https://prod-api.raisedonors.com
/
api
/
Zapier
/
subscribe
Subscribe to Zapier Webhook
Zapier calls this endpoint when a Zap built on a Raise trigger is turned on; remove the subscription with Unsubscribe from Zapier Webhook.
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Body
application/jsontext/jsonapplication/*+json
The subscription request containing target URL and event type.
Response
OK
Response model for Zapier webhook subscription.
The unique identifier of the webhook that was created.
Last modified on July 28, 2026
Was this page helpful?
⌘I